{
  lib
, python3Packages
}:

python3Packages.buildPythonApplication {
  pname = "pubcached";
  version = "0.1.0";

  src = ./../.;
 
  doCheck = false;
 
  propagatedBuildInputs = with python3Packages; [
    loguru aiofiles requests falcon toml uvicorn
  ];

  meta = with lib; {
    homepage = "https://git.polynom.me/PapaTutuWawa/pubcached";
    description = "Caching proxy for pub.dev";
    license = licenses.mit;
    maintainers = [];
    platforms = platforms.linux;
  };
}
